Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class ListSumKernel

    java.lang.Object
      org.biojava.stats.svm.NestedKernel
          org.biojava.stats.svm.ListSumKernel

All Implemented Interfaces:
  Serializable, SVMKernel

    public class ListSumKernel

extends NestedKernel

This kernel computes the sum of the dot products between items of two lists at corresponding indexes. We define k(x, null) to be zero for when list elements are null.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`ListSumKernel()`

Method Summary
`double` | `evaluate(Object a, Object b)` Return the dot product of two vectors in an arbitrary feature space.
`String` | `toString()`

Methods inherited from class org.biojava.stats.svm.NestedKernel
`getNestedKernel, setNestedKernel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListSumKernel

    public ListSumKernel()

Method Detail

### evaluate

    public double evaluate(Object a,
                           Object b)

  Description copied from interface: `SVMKernel`
  Return the dot product of two vectors in an arbitrary feature space. In this implementation, the `vectors' can actually be arbitrary objects.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD